Name:           ocaml-zarith
Version:        1.9.1
Release:        %mkrel 4
Summary:        Arithmetic and logical operations over arbitrary-precision integers
License:        LGPLv2 with exceptions
Group:          Development/OCaml
URL:            https://github.com/ocaml/Zarith/
Source0:        https://github.com/ocaml/Zarith/archive/release-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  gmp-devel

%description
The Zarith library implements arithmetic and logical operations
over arbitrary-precision integers. It uses GMP to efficiently
implement arithmetic over big integers. Small integers are
represented as Caml unboxed integers, for speed and space economy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gmp-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n Zarith-release-%{version}

# Fix compilation flags
sed -i "s|^ccdef=''|ccdef='%{optflags}'|" configure
sed -ri "s/(-ccopt|-shared|-failsafe)/-g &/" project.mak
sed -i "s/+compiler-libs/& -g/;s/\(\$(OCAMLC)\) -o/\1 -g -o/" project.mak

%build
export CC="gcc"

./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_LDCONF=ignore
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/zarith $OCAMLFIND_DESTDIR/stublibs
make install INSTALLDIR=%{buildroot}%{_libdir}/ocaml

%files
%doc Changes
%license LICENSE
%dir %{_libdir}/ocaml/zarith
%{_libdir}/ocaml/zarith/META
%{_libdir}/ocaml/zarith/*.cma
%{_libdir}/ocaml/zarith/*.cmi
%{_libdir}/ocaml/zarith/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%{_libdir}/ocaml/zarith/*.a
%{_libdir}/ocaml/zarith/*.cmx
%{_libdir}/ocaml/zarith/*.cmxa
%{_libdir}/ocaml/zarith/*.cmti
%{_libdir}/ocaml/zarith/*.mli
%{_libdir}/ocaml/zarith/*.h


%changelog
* Sat Aug 22 2020 tv <tv> 1.9.1-4.mga8
+ Revision: 1617815
- fix build
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.9.1-3.mga8
+ Revision: 1551175
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1544194
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 1.9.1-1.mga8
+ Revision: 1482693
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.7-4.mga7
+ Revision: 1324069
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.7-3.mga7
+ Revision: 1323784
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1299951
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 1.7-1.mga7
+ Revision: 1212392
- new version: 1.7
- update URL and Source URL

* Sun Nov 26 2017 tv <tv> 1.4.1-4.mga7
+ Revision: 1179789
- rebuild for new ocaml

* Sun Nov 26 2017 tv <tv> 1.4.1-3.mga7
+ Revision: 1179643
- rebuild for new ocaml

* Thu Aug 31 2017 daviddavid <daviddavid> 1.4.1-2.mga7
+ Revision: 1150071
- honor user CFLAGS thus fixing empty debugsourcefiles.list
- fix shared stubs libraries ocaml path

* Tue Feb 02 2016 pterjan <pterjan> 1.4.1-1.mga6
+ Revision: 931871
- Update to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 744247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 683135
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 536381
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 484186
- rebuild for ocaml-4.01.0

* Sat Jun 29 2013 malo <malo> 1.2.1-1.mga4
+ Revision: 448359
- update to 1.2.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 361730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1-4.mga3
+ Revision: 301099
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1-3.mga3
+ Revision: 300353
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 1.1-2.mga2
+ Revision: 229851
- adding missing requires to gmp-devel

* Sun Mar 25 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 226246
- imported package ocaml-zarith

